WhatsNext:AddConditionalStatement("Soul Shards",{
	category = "WARLOCK",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,7)
	end,
	text = function(checkTable) 
		return "player has at least " .. WhatsNext:GetNumberDisplay(checkTable.amount) .. " soul shards."
	end,
	arguments = {
		amount = {label = "Soul Shards", type = "integer", default = 0},
	}
})
